mixed-port: 7890
socks-port: 7891
allow-lan: false
bind-address: 127.0.0.1
mode: rule
log-level: error
external-controller: 127.0.0.1:9090
secret: ''
proxy-providers:
  tnt:
    type: http
    url: https://linkuserssnk.xxyjx.cc/s/jBdoEVwWpmI3-67ef99c2?clash=1
    interval: 86400
    path: /mnt/data_4t/bfile/others/mihomo/tnt/providers/tnt.yaml
proxy-groups:
  - name: Proxy
    type: select
    use:
      - tnt
  - name: Final
    type: select
    proxies:
      - Proxy
      - DIRECT
rules:
  - DOMAIN-SUFFIX,zhihu.com,DIRECT
  - DOMAIN-SUFFIX,zhimg.com,DIRECT
  - DOMAIN-SUFFIX,jd.com,DIRECT
  - DOMAIN,100ime-iat-api.xfyun.cn,DIRECT
  - DOMAIN-SUFFIX,360buyimg.com,DIRECT
  - DOMAIN,localhost,DIRECT
  - DOMAIN-SUFFIX,local,DIRECT
  - IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
  - IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
  - IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
  - DOMAIN-SUFFIX,pcl.ac.cn,DIRECT
  - DOMAIN-SUFFIX,lihato.icu,DIRECT
  - IP-CIDR,100.64.0.0/10,DIRECT,no-resolve
  - IP-CIDR,224.0.0.0/4,DIRECT,no-resolve
  - IP-CIDR6,::1/128,DIRECT,no-resolve
  - IP-CIDR6,fc00::/7,DIRECT,no-resolve
  - IP-CIDR6,fe80::/10,DIRECT,no-resolve
  - MATCH,Final
dns:
  enable: false
  fallback: []
  fallback-filter: null
